Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# Cast.ApplicationConnectionResult

implements Result

com.google.android.gms.cast.Cast.ApplicationConnectionResult

## Class Overview

When a connection to a receiver application has been established, this object contains information about that application, including its `ApplicationMetadata` and current status. If the connection fails, then all values except getStatus() will be invalid.

## Summary

Public Methods
abstract ApplicationMetadata | getApplicationMetadata() Returns the current application's metadata.
abstract String | getApplicationStatus() Returns the current application's status.
abstract String | getSessionId() Returns the current application's session ID.
abstract boolean | getWasLaunched() Returns whether the application was freshly launched.

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract ApplicationMetadata getApplicationMetadata ()

Returns the current application's metadata.

#### public abstract String getApplicationStatus ()

Returns the current application's status.

#### public abstract String getSessionId ()

Returns the current application's session ID.

#### public abstract boolean getWasLaunched ()

Returns whether the application was freshly launched.